diff -Nru catdoc-0.94.4/debian/changelog catdoc-0.94.4/debian/changelog
--- catdoc-0.94.4/debian/changelog	2012-12-04 07:50:42.000000000 +1300
+++ catdoc-0.94.4/debian/changelog	2014-10-21 15:00:02.000000000 +1300
@@ -1,3 +1,11 @@
+catdoc (0.94.4-1.2) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * "Suppress "File is write protected" message - new patch:
+    suppress-write-protected-message.patch
+
+ -- Olly Betts <olly@survex.com>  Tue, 21 Oct 2014 14:59:32 +1300
+
 catdoc (0.94.4-1.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nru catdoc-0.94.4/debian/patches/series catdoc-0.94.4/debian/patches/series
--- catdoc-0.94.4/debian/patches/series	2012-12-04 06:59:19.000000000 +1300
+++ catdoc-0.94.4/debian/patches/series	2014-10-21 14:57:35.000000000 +1300
@@ -0,0 +1,2 @@
+try-encrypted-anyway.patch
+suppress-write-protected-message.patch
diff -Nru catdoc-0.94.4/debian/patches/suppress-write-protected-message.patch catdoc-0.94.4/debian/patches/suppress-write-protected-message.patch
--- catdoc-0.94.4/debian/patches/suppress-write-protected-message.patch	1970-01-01 12:00:00.000000000 +1200
+++ catdoc-0.94.4/debian/patches/suppress-write-protected-message.patch	2014-10-21 14:59:25.000000000 +1300
@@ -0,0 +1,19 @@
+Description: Suppress "File is write protected" message
+ This isn't useful information, and is rather confusing as it may be
+ interpreted as an error rather than just a random fact about a flag set in
+ the file, so silence this message.
+Author: Olly Betts <olly@survex.com>
+Forwarded: no
+Last-Update: 2014-10-21
+
+--- catdoc-0.94.4.orig/src/xlsparse.c
++++ catdoc-0.94.4/src/xlsparse.c
+@@ -144,7 +144,7 @@ void process_item (int rectype, int recl
+ 		break;
+ 	}
+ 	case WRITEPROT: {
+-		fprintf(stderr,"File is write protected\n");
++		/*fprintf(stderr,"File is write protected\n"); */
+ 		break;
+ 	}
+ 		
diff -Nru catdoc-0.94.4/debian/patches/try-encrypted-anyway.patch catdoc-0.94.4/debian/patches/try-encrypted-anyway.patch
--- catdoc-0.94.4/debian/patches/try-encrypted-anyway.patch	1970-01-01 12:00:00.000000000 +1200
+++ catdoc-0.94.4/debian/patches/try-encrypted-anyway.patch	2014-05-28 15:17:54.000000000 +1200
@@ -0,0 +1,44 @@
+Description: <short summary of the patch>
+ TODO: Put a short summary on the line above and replace this paragraph
+ with a longer explanation of this change. Complete the meta-information
+ with other relevant fields (see below for details). To make it easier, the
+ information below has been extracted from the changelog. Adjust it or drop
+ it.
+ .
+ catdoc (0.94.4-1.1) unstable; urgency=low
+ .
+   * Non-maintainer upload.
+   * New upstream release to remove .pc subdirectory from
+     the orig tarball (Closes: #692073). Includes updating
+     version strings in generated manpages.
+   * Remove extra ';' in src/xlsparse.c which turned for loop in
+     xlsparse into a buffer overflow (Closes: #692076), applies
+     patch by Olly Betts <olly@survex.com>.
+Author: Neil Williams <codehelp@debian.org>
+Bug-Debian: http://bugs.debian.org/692073
+Bug-Debian: http://bugs.debian.org/692076
+
+---
+The information above should follow the Patch Tagging Guidelines, please
+checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
+are templates for supplementary fields that you might want to add:
+
+Origin: <vendor|upstream|other>, <url of original patch>
+Bug: <url in upstream bugtracker>
+Bug-Debian: http://bugs.debian.org/<bugnumber>
+Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
+Forwarded: <no|not-needed|url proving that it has been forwarded>
+Reviewed-By: <name and email of someone who approved the patch>
+Last-Update: <YYYY-MM-DD>
+
+--- catdoc-0.94.4.orig/src/xlsparse.c
++++ catdoc-0.94.4/src/xlsparse.c
+@@ -140,7 +140,7 @@ void process_item (int rectype, int recl
+ 	switch (rectype) {
+ 	case FILEPASS: {
+ 		fprintf(stderr,"File is encrypted\n");
+-		exit(69);
++		/*exit(69);*/
+ 		break;
+ 	}
+ 	case WRITEPROT: {
